### Name: interaction2wt
### Title: Plot all main effects and twoway interactions in a multifactor
###   design
### Aliases: interaction2wt interaction2wt.formula interaction2wt.default
### Keywords: hplot design

### ** Examples

  ToothGrowth <- ToothGrowth  ## local copy
  ToothGrowth$dose <- positioned(ToothGrowth$dose) ## modify local copy
  anova(aov(len ~ supp*dose, data=ToothGrowth))
  interaction2wt(len ~ supp + dose, data=ToothGrowth)
  bwplot(len ~ supp | unpositioned(dose), data=ToothGrowth, layout=c(3,1))
  bwplot(len ~ dose | supp, data=ToothGrowth, layout=c(2,1),
         box.ratio=.5,
         panel=panel.bwplot.intermediate.hh,
         scales=list(x=list(at=position(ToothGrowth$dose))))
  bwplot(len ~ dose | supp, data=ToothGrowth, layout=c(2,1),
         box.ratio=.5,
         scales=list(x=list(at=position(ToothGrowth$dose))))

esoph=esoph
esoph$rate=with(esoph, ncases/ncontrols)

position(esoph$alcgp) <- 2:5
position(esoph$tobgp) <- 2:5

interaction2wt(rate ~ agegp + alcgp + tobgp, esoph, rot=c(90,0))
esoph.aov <- aov(rate ~ agegp + alcgp + tobgp, data=esoph)
anova(esoph.aov)



